<!DOCTYPE html>
<html lang="en" xmlns:th="http://thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" th:href="@{/css/sidebar.css}">
    <link rel="stylesheet" th:href="@{/css/form-update-profile-data-diri-style.css}">


    <link href='https://unpkg.com/boxicons@2.0.7/css/boxicons.min.css' rel='stylesheet'>

    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.3/font/bootstrap-icons.css">
    <title>Form Update Data Diri</title>
</head>
<body>
<div th:replace="fragments/fragment.html :: side-bar-dokter" />

<section class="content-sidebar-section">
    <div class="text"><a th:href="@{/dokter/dashboard/profil}" style="color: #000000">User Detail</a> <a th:href="@{/dokter/dashboard/profil/update}"><h2>/Update Profile</h2></a> <h3>/Personal Information</h3></div>
    <br>
    <br>
    <form th:action="@{data-diri}" th:object="${user}"method="POST" enctype="multipart/form-data">
        <div class="card-update-data-diri">
            <div class="section-profile-icon">
                <div class="profile-icon">
                    <input type="file" name="image" id="thumbnailUpload" accept=".jpg, .jpeg, .png" style="display: none" onchange="showThumbnail(this)">
                    <label for="thumbnailUpload" class="upload-label">
                        <div class="change-profile">
                            <svg xmlns="http://www.w3.org/2000/svg" style="width: 30px;height: 30px"  fill="#F67280" class="bi bi-plus-circle-fill" viewBox="0 0 16 16">
                                <path d="M16 8A8 8 0 1 1 0 8a8 8 0 0 1 16 0zM8.5 4.5a.5.5 0 0 0-1 0v3h-3a.5.5 0 0 0 0 1h3v3a.5.5 0 0 0 1 0v-3h3a.5.5 0 0 0 0-1h-3v-3z"/>
                            </svg>
                        </div>
                        <img class="profile-change" th:src="${user.photoUrl}" alt="">
                    </label>
                </div>
            </div>
            <div class="section-input-field">
                <div class="input-container">
                    <input type="hidden" th:field="*{uuid}">
                    <div class="input-field">
                        <label for="nama">Name</label>
                        <input th:field="*{nama}" style="margin-bottom: 0" type="text" class="input" id="nama" placeholder="nama">
                    </div>
                    <div class="input-field">
                        <label for="email">Email</label>
                        <input th:field="*{email}" style="margin-bottom: 0" type="email" class="input" id="email" placeholder="Email">
                    </div>
                    <div class="input-field date">
                        <label for="date">Date of Birth</label>
                        <input  th:field="*{tanggalLahir}" style="margin-bottom: 0" type="date" class="input" id="date">
                    </div>
                    <div class="input-field">
                        <label for="jenisKelamin">Gender</label>
                        <select th:field="*{jenisKelamin}" id="jenisKelamin" class="dropdown" placeholder="Jenis Kelamin">
                            <option value="" disabled selected>Jenis Kelamin</option>
                            <option value="Laki-laki">Laki-laki</option>
                            <option value="Perempuan">Perempuan</option>
                        </select>
                    </div>
                </div>
            </div>
            <div class="section-button">
                <div class="save-button">
                    <button type="submit" id="button-save" class="button-primary mx-auto d-block">Save</button>
                </div>
                <div class="return-button">
                    <a class="button-secondary" th:href="@{/dokter/dashboard/profil}">Back</a>
                </div>
            </div>
        </div>
    </form>
    <!-- Modal Successful Message -->
    <div class="bg-modal">
        <div class="form-modal-content">
            <div class="card-modal">
                <div class="header-modal">
                    <div class="close">
                        <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M19.5304 5.53033C19.8232 5.23744 19.8232 4.76256 19.5304 4.46967C19.2375 4.17678 18.7626 4.17678 18.4697 4.46967L12 10.9394L5.53033 4.46967C5.23744 4.17678 4.76256 4.17678 4.46967 4.46967C4.17678 4.76257 4.17678 5.23744 4.46967 5.53033L10.9394 12L4.4697 18.4697C4.1768 18.7626 4.1768 19.2374 4.4697 19.5303C4.76259 19.8232 5.23746 19.8232 5.53036 19.5303L12 13.0607L18.4697 19.5303C18.7626 19.8232 19.2374 19.8232 19.5303 19.5303C19.8232 19.2374 19.8232 18.7626 19.5303 18.4697L13.0607 12L19.5304 5.53033Z" fill="#1D3557"/>
                        </svg>
                    </div>
                </div>
                <div class="icon-modal">
                    <svg width="81" height="81" viewBox="0 0 81 81" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M77.9999 44.9653C75 59.9801 63.6907 74.1179 47.8216 77.277C40.082 78.82 32.0534 77.8792 24.879 74.5888C17.7046 71.2983 11.7501 65.8258 7.86336 58.9506C3.97663 52.0753 2.35583 44.1478 3.23172 36.2968C4.10762 28.4458 7.43557 21.0716 12.7417 15.2241C23.6251 3.22432 42.002 -0.0789206 57.0011 5.92698" stroke="#20AE5C" stroke-width="6" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M27.0029 38.9591L42.002 53.9739L77.9999 14.9355" stroke="#20AE5C" stroke-width="6" stroke-linecap="round" stroke-linejoin="round"/>
                    </svg>
                </div>
                <div class="text-column-modal">
                    <div class="success-message">
                        <p>Berhasil!</p>
                    </div>
                    <div class="detail-message">
                        <p>Data diri Anda telah berubah.</p>
                    </div>
                    <div class="success-message-desc">
                        <p>Anda dapat melihat perubahan data diri Anda pada halaman Detail User.</p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<script>
    let sidebar = document.querySelector(".sidebar");
    let closeBtn = document.querySelector("#btn");

    closeBtn.addEventListener("click", ()=>{
        sidebar.classList.toggle("open");
        console.log("Button clicked!");
        console.log(sidebar.classList);
        menuBtnChange();
    });

    function menuBtnChange() {
        if(sidebar.classList.contains("open")){
            closeBtn.classList.replace("bx-menu", "bx-menu-alt-right");//replacing the icons class
        }else {
            closeBtn.classList.replace("bx-menu-alt-right","bx-menu");//replacing the icons class
        }
    }
</script>
<script>
    document.getElementById('button-save').addEventListener('click', function() {
        document.querySelector('.bg-modal').style.display = 'flex';
    });
</script>
<script>
    document.querySelector('.close').addEventListener('click', function() {
        document.querySelector('.bg-modal').style.display = 'none';
    });
</script>
<script>
    function showThumbnail(input) {
        if (input.files && input.files[0]) {
            var reader = new FileReader();

            reader.onload = function(e) {
                var imageElement = document.querySelector('.profile-change');
                imageElement.setAttribute('src', e.target.result);
            };

            reader.readAsDataURL(input.files[0]);
        }
    }
</script>
</body>
</html>